Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.operators
Class ResultSetScan

    java.lang.Object
      unity.operators.Operator
          unity.operators.ResultSetScan

    public class ResultSetScan

extends Operator

Constructor Summary
`ResultSetScan(LocalQuery lq)`
`ResultSetScan(java.sql.ResultSet r)`

Method Summary
`void` | `buildOutputRelation(java.util.ArrayList outputFields)`
`void` | `close()`
`boolean` | `getDelayedExecution()`
`java.lang.String` | `getSQLString()`
`void` | `init()`
`Tuple` | `next()`
`void` | `setDelayedExecution(boolean b)`
`void` | `setResultSet(java.sql.ResultSet r)`
`void` | `setSQLString(java.lang.String s)`
`java.lang.String` | `toString()`

Methods inherited from class unity.operators.Operator
`getOutputRelation, getPageIOs, getPagesRead, getTupleIOs, getTuplesOutput, getTuplesRead, hasNext, isBuffered, printTree, setOutputRelation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResultSetScan

    public ResultSetScan(LocalQuery lq)

### ResultSetScan

    public ResultSetScan(java.sql.ResultSet r)

Method Detail

### setResultSet

    public void setResultSet(java.sql.ResultSet r)

### getSQLString

    public java.lang.String getSQLString()

### setSQLString

    public void setSQLString(java.lang.String s)

### setDelayedExecution

    public void setDelayedExecution(boolean b)

### getDelayedExecution

    public boolean getDelayedExecution()

### buildOutputRelation

    public void buildOutputRelation(java.util.ArrayList outputFields)

### init

    public void init()
              throws java.io.IOException

  Specified by:
    `init` in class `Operator`
  Throws:
    `java.io.IOException`

### next

    public Tuple next()
               throws java.io.IOException

  Specified by:
    `next` in class `Operator`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `Operator`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD